set-option -g allow-rename off
bind R source-file ~/.tmux.conf \; display-message "Config reloaded..."
# bind h select-pane -L
# bind J select-pane -D
# bind K select-pane -U
# bind L select-pane -R
# unbind l
# remap prefix from 'C-b' to 'C-a'
#unbind C-b
set-option -g prefix C-b
bind-key C-a send-prefix

# reload config file (change file location to your the tmux.conf you want to use)
bind r source-file ~/.tmux.conf \; display-message "config reloaded!"

bind e setw synchronize-panes on
bind E setw synchronize-panes off

# switch panes using Alt-arrow without prefix
bind -n M-Left select-pane -L
bind -n M-Right select-pane -R
bind -n M-Up select-pane -U
bind -n M-Down select-pane -D

# also can use vim like movement hjkl pane traversal
# bind -n M-h select-pane -L
# bind -n M-j select-pane -D
# bind -n M-k select-pane -U
# bind -n M-l select-pane -R

# in case want to use mouse
set -g mode-mouse on
set -g mouse-select-pane on
set -g mouse-resize-pane on
set -g mouse-select-window on

#setw -g monitor-activity on
#set -g visual-activity on

######################
### DESIGN CHANGES ###
######################

# panes
set -g pane-border-fg black
set -g pane-active-border-fg brightred

## Status bar design
# status line
set -g status-utf8 on
setw -g utf8 on
set -g status-justify centre 
#set -g status-bg colour178
#set -g status-fg colour178
set -g status-interval 2

# messaging
set -g message-fg black
set -g message-bg yellow
set -g message-command-fg blue
set -g message-command-bg black

#window mode
setw -g mode-bg colour178
setw -g mode-fg colour199

# window status
setw -g window-status-format " #F#I:#W#F "
setw -g window-status-current-format " #F#I:#W#F "
setw -g window-status-format "#[fg=magenta]#[bg=black] #I #[bg=cyan]#[fg=colour8] #W "
setw -g window-status-current-format "#[bg=brightmagenta]#[fg=colour8] #I #[fg=colour8]#[bg=colour14] #W "
setw -g window-status-current-bg colour0
setw -g window-status-current-fg colour11
setw -g window-status-current-attr dim
setw -g window-status-bg green
setw -g window-status-fg black
setw -g window-status-attr reverse

# Info on left (I don't have a session display for now)
#set -g status-left ''

# loud or quiet?
set-option -g visual-activity off
set-option -g visual-bell off
set-option -g visual-silence off
set-window-option -g monitor-activity off
set-option -g bell-action none

set -g default-terminal "screen-256color"

# The modes {
setw -g clock-mode-colour colour135
setw -g mode-attr bold
setw -g mode-fg colour196
setw -g mode-bg colour238

# }
# The panes {

set -g pane-border-bg colour235
set -g pane-border-fg colour238
set -g pane-active-border-bg colour236
set -g pane-active-border-fg colour208

# }
# The statusbar {

set -g status-position bottom
set -g status-bg colour237
set -g status-fg colour208
set -g status-attr dim
#set -g status-left '#[fg=green]#($TMUX_PLUGIN_MANAGER_PATH/tmux-mem-cpu-load/tmux-mem-cpu-load --colors --powerline-right --interval 2)#[default]'
#set -g status-left ''
set -g status-left '#[fg=color208]#H #[fg=color208] #[fg=color20]#(uname -r | cut -c 1-6) #[default]'
# set -g status-left '#[fg=color208]#H #[fg=color208] • #[fg=color20]#(uname -r | cut -c 1-6) #[default]'
set -g status-right '#[fg=colour208,bg=colour238] #[fg=color208]#(echo "Sessions: ")#(tmux list-sessions | wc -l) #[fg=colour208,bg=colour238]  #[fg=colour208,bg=colour238] #[fg=colour208,bg=colour237,bold] %a %d/%h #[fg=colour208,bg=colour236,bold] %H:%M:%S '
set -g status-right-length 50
set -g status-left-length 50

set-option -g @cpu_icon "💪"

setw -g window-status-current-fg colour237
setw -g window-status-current-bg colour208
setw -g window-status-current-attr bold
setw -g window-status-current-format ' #I#[fg=colour0]:#[fg=colour0]#W#[fg=colour90]#F '

setw -g window-status-fg colour208
setw -g window-status-bg colour237
setw -g window-status-attr none
setw -g window-status-format ' #I#[fg=colour237]:#[fg=colour208]#W#[fg=colour244]#F '

setw -g window-status-bell-attr bold
setw -g window-status-bell-fg colour178
setw -g window-status-bell-bg colour90

# }
# The messages {

set -g message-attr bold
set -g message-fg colour232
set -g message-bg colour208

# }
set-option -g history-limit 3000
#

# tmux plugin manager (tpm) plugin. well said dude
set -g @plugin 'tmux-plugins/tpm'
# easy load your prefered tmux layout (pane and windows)
set -g @plugin 'tmux-plugins/tmux-resurrect'
# bring the list of files and dir in the current path
set -g @plugin 'tmux-plugins/tmux-sidebar'
# show the average cpu load
set -g @plugin 'tmux-plugins/tmux-cpu'
# fullscreen CLI made easy with this status
set -g @plugin 'tmux-plugins/tmux-online-status'
set -g @plugin 'tmux-plugins/tmux-battery'

# Initialize TMUX plugin manager (keep this line at the very bottom of tmux.conf)
# run '~/.tmux/plugins/tpm/tpm'
